#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <time.h>
#include "utilities.h"
#include "Ring.h"


// ----------------------------------------------------------
//   Equation of state: density and pressure as they depend on h
//   h(p) = Integrate[1/(eps(pp)+pp), {pp, 0, p}]
// ----------------------------------------------------------
void scan_eos_parameters(parameters *par, FILE *stream)
{
	double d_aux;
	char string[200];

	fscanf(stream, " %lf %s ",  &d_aux, string);    (*par).eps  = d_aux;
//	(*par).eps = 1.;
}
// ----------------------------------------------------------
void print_eos_parameters(parameters par, FILE *stream)
{
	fprintf(stream, "%20.15e \t eps \n",  par.eps);
}
//   -----------------------------------------------
void eos_quantities(parameters par, double h, double *p, double *eps, double *epsB)
{
	*p    = par.eps*(exp(h)-1.);
	*eps  = par.eps;
	*epsB = par.eps;
}
// ----------------------------------------------------------
void D_eos_quantities(parameters par, double h, double Dh, double *Dp, double *Deps, double *DepsB)
{
	*Dp    = par.eps*exp(h)*Dh;
	*Deps  = 0.;
	*DepsB = 0.;
}
// ----------------------------------------------------------
